OnigMatchArg Struct Reference

`#include <regint.h>`

## Data Fields

void * | stack_p
size_t | stack_n
OnigOptionType | options
OnigRegion * | region
const UChar * | start
int | best_len
UChar * | best_s

## Detailed Description

Definition at line 764 of file regint.h.

## Field Documentation

int OnigMatchArg::best_len

Definition at line 771 of file regint.h.

Referenced by match_at(), and onig_search().

UChar* OnigMatchArg::best_s

Definition at line 772 of file regint.h.

Referenced by match_at(), and onig_search().

OnigOptionType OnigMatchArg::options

Definition at line 767 of file regint.h.

Referenced by match_at().

OnigRegion* OnigMatchArg::region

Definition at line 768 of file regint.h.

Referenced by match_at().

size_t OnigMatchArg::stack_n

Definition at line 766 of file regint.h.

void* OnigMatchArg::stack_p

Definition at line 765 of file regint.h.

Referenced by stack_double().

const UChar* OnigMatchArg::start

Definition at line 769 of file regint.h.

Referenced by match_at().

The documentation for this struct was generated from the following file:

- regint.h